TokenLab

Gemini Native

Get Model

Get model metadata using Google Gemini API format

GET
/v1beta/models/{model}

Returns metadata for a specific model in Google Gemini API format.

Path Parameters

modelstringpathrequired

Model name (e.g., gemini-2.5-pro, gemini-3.5-flash). Aliases are also accepted.

Authentication

Authentication is not required for the public model metadata read endpoint.

Response

namestring

Model resource name in models/{model} format.

displayNamestring

Human-readable model name.

inputTokenLimitinteger

Maximum input tokens (context window).

outputTokenLimitinteger

Maximum output tokens.

supportedGenerationMethodsarray

List of supported generation methods (e.g., generateContent, countTokens, embedContent).

versionstring

Public version string when available.

descriptionstring

Human-readable model description when available.

temperaturenumber

Default temperature when the model provides one.

topPnumber

Default top-p value when available.

topKinteger

Default top-k value when available.

maxTemperaturenumber

Maximum supported temperature when available.

Errors

  • Invalid GETs that accidentally include :generateContent or :streamGenerateContent return 405 METHOD_NOT_ALLOWED.
  • Missing models return 404 NOT_FOUND.

Request

curl "https://api.tokenlab.sh/v1beta/models/gemini-2.5-pro"

Response

Response
{
  "name": "models/gemini-2.5-pro",
  "version": "gemini-2.5-pro",
  "displayName": "gemini-2.5-pro",
  "description": "gemini-2.5-pro model available via TokenLab",
  "inputTokenLimit": 1048576,
  "outputTokenLimit": 65536,
  "supportedGenerationMethods": [
    "generateContent",
    "countTokens"
  ],
  "baseModelId": "gemini-2.5-pro"
}

Path Parameters

model*string

Response

application/json

application/json

application/json

application/json